curl --request GET \
--url 'https://api.stateset.com/api/v1/asns/delivery-date' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": [
{
"asn_number": "string",
"created_at": "2026-07-24T12:00:00Z",
"expected_delivery_date": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"shipping_address": "string",
"status": "string",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"supplier_name": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
],
"errors": null,
"message": null,
"meta": null,
"success": true
}
Get ASNs by expected delivery date range
Get ASNs by expected delivery date range
GET
/
api
/
v1
/
asns
/
delivery-date
curl --request GET \
--url 'https://api.stateset.com/api/v1/asns/delivery-date' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": [
{
"asn_number": "string",
"created_at": "2026-07-24T12:00:00Z",
"expected_delivery_date": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"shipping_address": "string",
"status": "string",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"supplier_name": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
],
"errors": null,
"message": null,
"meta": null,
"success": true
}
Query parameters
string
required
string
required
Responses
ApiResponse_Vec_AsnSummary
ASNs by delivery date
ErrorResponse
Invalid date format
curl --request GET \
--url 'https://api.stateset.com/api/v1/asns/delivery-date' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": [
{
"asn_number": "string",
"created_at": "2026-07-24T12:00:00Z",
"expected_delivery_date": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"shipping_address": "string",
"status": "string",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"supplier_name": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
],
"errors": null,
"message": null,
"meta": null,
"success": true
}
โI